1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Installation von monodevelop

Dieses Thema im Forum "OS X-Developer" wurde erstellt von suicidesnowman, 11.01.09.

  1. suicidesnowman

    suicidesnowman Jonagold

    Dabei seit:
    02.04.08
    Beiträge:
    21
    Hallo ich hab hier ein kleines Problem.

    Ich wollte mir einmal http://monodevelop.com/Main_Page aufm Mac installiern.
    Jedoch krieg ich das Ding nicht zum laufen. Ich weis nicht was ich falsch mach.
    Vieleicht kann mir einer von euch mal erklären wie das genau funktioniert bzw was ich alles beachten muss.

    Danke falls sich jemand die Mühe macht.
     
  2. suicidesnowman

    suicidesnowman Jonagold

    Dabei seit:
    02.04.08
    Beiträge:
    21
    Naja danke wie ich etwas Runterlade war mir vorher schon bekannt. *kopfschüttel*
     
  3. bezierkurve

    bezierkurve Danziger Kant

    Dabei seit:
    12.06.05
    Beiträge:
    3.861
    Auf der Download-Seite, die dir sumpfmonsterjunior verlinkt hat, steht ein Hinweis.

    Ansonsten kann man schon von dir erwarten, dass du dir die Mühe machst und erläuterst, was du bis jetzt getan hast und was genau nicht funktioniert.
     
  4. suicidesnowman

    suicidesnowman Jonagold

    Dabei seit:
    02.04.08
    Beiträge:
    21
    MonoFramework hatte ich vorher schon drauf da ich bisher mit Smultron arbeite.
    Dann hab ich mir MonoDevelop runtergeladen. Ich denke mal das ich dann auf config klicken muss ?(bin noch neu am Mac hab doch noch nicht so viel Ahnung.)

    Dabei kommt dann im Terminal folgendes:

    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /Applications/monodevelop-1.0/install-sh -c -d
    checking for gawk... no
    checking for mawk... no
    checking for nawk... no
    checking for awk... awk
    checking whether make sets $(MAKE)... no
    checking how to create a ustar tar archive... gnutar
    checking whether to enable maintainer-specific portions of Makefiles... no
    checking for mono... /usr/bin/mono
    checking for gmcs... /usr/bin/gmcs
    checking for update-mime-database... no
    configure: error: You need to install update-mime-database
    logout

    [Prozess beendet]



    vieleicht hilft das, den Fehler zu finden.
     
  5. MacApple

    MacApple Lord Grosvenor

    Dabei seit:
    05.01.04
    Beiträge:
    3.470
    Ich habe da mal was rot hervorgehoben. Ist eigentlich eine eindeutige Aussage, oder? Frag mich jetzt aber nicht, wo Du das her bekommst. Das weiß ich nicht. Eventuell ist auch einfach Dein bereits installiertes MonoFramework zu alt.

    MacApple
     
  6. suicidesnowman

    suicidesnowman Jonagold

    Dabei seit:
    02.04.08
    Beiträge:
    21
    Danke fürs hervorheben. Ich hab nach dem update-mime-database schon gegooglet, da hab ich noch nix vernüftiges gefunden.

    Mein Monoframework ist das aktuelle das auf der HP angeboten wird.
     
  7. sumpfmonsterjunior

    sumpfmonsterjunior Morgenduft

    Dabei seit:
    17.03.05
    Beiträge:
    167
    Die verlinkten Dateien liefern Mac Installer mit, da musst Du nix kompilieren. *kopfschüttel* um nicht zu sagen RTFM!

    Hab die eben mal probehalber runtergeladen und installiert, funktioniert auf Anhieb (Mac OS 10.5.6 und Intel Mac).

    Gruß, SMJ
     
  8. suicidesnowman

    suicidesnowman Jonagold

    Dabei seit:
    02.04.08
    Beiträge:
    21
    Könnt das Thema dann schließen ich hab mitlerweile auch eine Version die man nicht kompilieren muss.
     
  9. sumpfmonsterjunior

    sumpfmonsterjunior Morgenduft

    Dabei seit:
    17.03.05
    Beiträge:
    167
    Keine Ursache, gern geschehen...
     

Diese Seite empfehlen